Bug 1814994 - kernel-rt: kernel: nfs: BUG kmalloc-1k (Not tainted): Poison overwritten
Summary: kernel-rt: kernel: nfs: BUG kmalloc-1k (Not tainted): Poison overwritten
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: kernel-rt
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: nfs-maint
QA Contact: Qiao Zhao
URL:
Whiteboard:
Depends On: 1750098
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 09:37 UTC by Zhi Li
Modified: 2021-03-12 07:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-12 07:50:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Zhi Li 2020-03-19 09:37:07 UTC
Description of problem:
Trigger a "BUG - Poison overwritten" with a regression case.
==== 
[ 3226.241759] BUG kmalloc-1k (Not tainted): Poison overwritten 
[ 3226.241759] ----------------------------------------------------------------------------- 
[ 3226.241759]  
[ 3226.241759] Disabling lock debugging due to kernel taint 
[ 3226.241761] INFO: 0x00000000ed837334-0x00000000ed837334. First byte 0x4b instead of 0x6b 
[ 3226.241774] INFO: Allocated in nfs_alloc_client+0x29/0x130 [nfs] age=1 cpu=0 pid=33325 
[ 3226.241778] 	__slab_alloc.isra.82+0x72/0xb0 
[ 3226.241781] 	kmem_cache_alloc_trace+0x11c/0x1d0 
[ 3226.241787] 	nfs_alloc_client+0x29/0x130 [nfs] 
[ 3226.241802] 	nfs4_alloc_client+0x15/0x210 [nfsv4] 
[ 3226.241807] 	nfs_get_client+0x164/0x380 [nfs] 
[ 3226.241817] 	nfs4_set_client+0xb2/0x100 [nfsv4] 
[ 3226.241826] 	nfs4_create_server+0xff/0x290 [nfsv4] 
[ 3226.241834] 	nfs4_remote_mount+0x28/0x50 [nfsv4] 
[ 3226.241837] 	mount_fs+0x3b/0x16a 
[ 3226.241839] 	vfs_kern_mount.part.34+0x54/0x130 
[ 3226.241847] 	nfs_do_root_mount+0x7f/0xc0 [nfsv4] 
[ 3226.241855] 	nfs4_try_mount+0x43/0x70 [nfsv4] 
[ 3226.241861] 	nfs_fs_mount+0x899/0xc30 [nfs] 
[ 3226.241862] 	mount_fs+0x3b/0x16a 
[ 3226.241863] 	vfs_kern_mount.part.34+0x54/0x130 
[ 3226.241864] 	do_mount+0x1fd/0xc70 
[ 3226.241874] INFO: Freed in nfs4_init_client+0x19a/0x240 [nfsv4] age=0 cpu=0 pid=33325 
[ 3226.241882] 	nfs4_init_client+0x19a/0x240 [nfsv4] 
[ 3226.241891] 	nfs4_set_client+0xb2/0x100 [nfsv4] 
[ 3226.241899] 	nfs4_create_server+0xff/0x290 [nfsv4] 
[ 3226.241906] 	nfs4_remote_mount+0x28/0x50 [nfsv4] 
[ 3226.241908] 	mount_fs+0x3b/0x16a 
[ 3226.241909] 	vfs_kern_mount.part.34+0x54/0x130 
[ 3226.241916] 	nfs_do_root_mount+0x7f/0xc0 [nfsv4] 
[ 3226.241924] 	nfs4_try_mount+0x43/0x70 [nfsv4] 
[ 3226.241930] 	nfs_fs_mount+0x899/0xc30 [nfs] 
[ 3226.241931] 	mount_fs+0x3b/0x16a 
[ 3226.241932] 	vfs_kern_mount.part.34+0x54/0x130 
[ 3226.241933] 	do_mount+0x1fd/0xc70 
[ 3226.241933] 	ksys_mount+0xb6/0xd0 
[ 3226.241935] 	__x64_sys_mount+0x21/0x30 
[ 3226.241937] 	do_syscall_64+0x87/0x1a0 
[ 3226.241940] 	entry_SYSCALL_64_after_hwframe+0x65/0xca 
[ 3226.241941] INFO: Slab 0x00000000430ead7f objects=12 used=12 fp=0x00000000761482cf flags=0x10000000008100 
[ 3226.241942] INFO: Object 0x00000000d7dbd4a6 @offset=6808 fp=0x000000006a78ac15 

Version-Release number of selected component (if applicable):
kernel-rt-4.18.0-187.rt13.45.el8

How reproducible:
TBD

Steps to Reproduce:
1. nfs regression test
2.
3.

Actual results:
"BUG" kmalloc-1k (Not tainted): Poison overwritten 

Expected results:
should be no "BUG" here

Additional info:
Console log:
https://beaker-archive.host.prod.eng.bos.redhat.com/beaker-logs/2020/03/41433/4143379/8036100/console.log

Refer to: https://bugzilla.redhat.com/show_bug.cgi?id=1750098


Note You need to log in before you can comment on or make changes to this bug.